summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-06-11 00:02:56 +0000
committerMike Frysinger <vapier@gentoo.org>2006-06-11 00:02:56 +0000
commita4a4878c26b418f05c68ee32a048a82b09881977 (patch)
treeec6804acd5e1886b91c20fd78e60f2adca3ae169 /eclass
parentstill old debug code in here (diff)
downloadgentoo-2-a4a4878c26b418f05c68ee32a048a82b09881977.tar.gz
gentoo-2-a4a4878c26b418f05c68ee32a048a82b09881977.tar.bz2
gentoo-2-a4a4878c26b418f05c68ee32a048a82b09881977.zip
slot the libtool hack files
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 2bb909f8e37b..8db56e33f706 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.288 2006/06/10 23:08:43 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.289 2006/06/11 00:02:56 vapier Exp $
HOMEPAGE="http://gcc.gnu.org/"
LICENSE="GPL-2 LGPL-2.1"
@@ -870,6 +870,10 @@ gcc-compiler_pkg_postinst() {
einfo "http://www.gentoo.org/doc/en/gcc-upgrading.xml"
echo
fi
+
+ # hack to prevent collisions between SLOT
+ cp "${ROOT}/${DATAPATH}"/fixlafiles.awk "${ROOT}"/lib/rcscripts/awk/ || die "installing fixlafiles.awk"
+ cp "${ROOT}/${DATAPATH}"/fix_libtool_files.sh "${ROOT}"/sbin/ || die "installing fix_libtool_files.sh"
}
gcc-compiler_pkg_prerm() {
@@ -1659,14 +1663,14 @@ gcc-compiler_src_install() {
# Rather install the script, else portage with changing $FILESDIR
# between binary and source package borks things ....
if ! is_crosscompile ; then
- insinto /lib/rcscripts/awk
+ insinto "${DATAPATH}"
if tc_version_is_at_least 4.0 ; then
newins "${GCC_FILESDIR}"/awk/fixlafiles.awk-no_gcc_la fixlafiles.awk || die
find "${D}/${LIBPATH}" -name libstdc++.la -type f -exec rm "{}" \;
else
doins "${GCC_FILESDIR}"/awk/fixlafiles.awk || die
fi
- exeinto /sbin
+ exeinto "${DATAPATH}"
doexe "${GCC_FILESDIR}"/fix_libtool_files.sh || die
fi